<script setup lang="ts">
import { ref } from 'vue';

interface PricingCards {
  header: string;
}
interface CardsGridProps {
  header?: string;
  config?: {
    theme?: string;
    id?: string;
  };
  cards?: Array<PricingCards>;
}

const { locale } = useI18n();
const props = defineProps<CardsGridProps>();
const { data } = await useAsyncData('pricing-cards', () =>
  queryContent(`/shared/${locale.value.toLocaleLowerCase()}/pricing-cards`).findOne(),
);

if (!data) {
  throw new Error(`Error with GitlabDuoCardsGrid component content`);
}

const content = ref<CardsGridProps>(data.value);
</script>

<template>
  <section
    :id="props?.config?.id"
    class="slp-py-96 slp-pt-32 pricing-cards-grid"
    :class="`pricing-cards-grid--${props.config?.theme}`"
  >
    <SlpContainer data-aos="fade-up" data-aos-duration="1200" data-aos-offset="200">
      <SlpTypography v-if="content.header" variant="heading2-bold" tag="h2" class="pricing-header">
        {{ content.header }}
      </SlpTypography>
      <SlpRow style="gap: 30px">
        <SlpColumn v-for="card in content.cards" :key="card.header">
          <CommonPricingCard class="slp-mt-32" v-bind="card" />
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.pricing-cards-grid {
  &--dark {
    color: #fff;
    background-color: $color-primary-200;
  }
}
</style>
